For the complete documentation index, see llms.txt. This page is also available as Markdown.

Views

Return detailed information for your views in your room type.

API: Direct Booking · Operation: Room Type · Direction: SM → Property · Method: Pull (Property-initiated)

Retrieve a room type's views

get

Retrieve the views for a room type. Returned as a list, which currently contains at most one view.

Authorizations
x-sm-api-keystringRequired
Path parameters
propertyUuidstringRequired

UUID for a property.

roomTypeUuidstring · uuidRequired

UUID for a room type.

Header parameters
x-sm-api-keystringRequired

API key used to authenticate the request.

Responses
200

Successful operation

application/json
namestringRequired

room view name

otaCodeintegerRequired

OTA room view code

get/properties/{propertyUuid}/room-types/{roomTypeUuid}/views
GET /properties/{propertyUuid}/room-types/{roomTypeUuid}/views HTTP/1.1
x-sm-api-key: text
Accept: */*
[
  {
    "name": "Ocean view",
    "otaCode": 11
  }
]

sparkles

Still have questions?

Last updated

Was this helpful?